Open source senpy plugins
Switch branches/tags
Nothing to show
Clone or download
Pull request Compare This branch is 80 commits behind gsi-upm:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
affect
emotion-anew
emotion-wnaffect
example-plugin
sentiment-140
sentiment-basic
sentiment-meaningCloud
sentiment-vader
.gitignore
.travis.yml
Dockerfile
LICENSE
Makefile
README.md

README.md

Senpy Plugins

Installing

First, install senpy from source or through pip:

pip install senpy

Each plugin has different requirements. As of this writing, requirement installation is done manually for each plugin. All requirements are specified in the .senpy file and, alternatively, in a requirements.txt file.

Running

Run with:

git clone https://github.com/gsi-upm/senpy-plugins-community.git
senpy -f senpy-plugins-community

LICENSE

This compilation of plugins for Senpy use Apache 2.0 License. Some of the resources used for train these plugins can not be distributed, specifically, resources for the plugins emotion-anew and emotion-wnaffect. For more information visit Senpy documentation